A.1. Continuent Tungsten 4.0.7 GA (23 Feb 2017)

Continuent Tungsten 4.0.7 is a bugfix release that contains a specific correction for the deployment with respect to the use of the Ruby Net::SSH module.

Behavior Changes

The following changes have been made to Continuent Tungsten and may affect existing scripts and integration tools. Any scripts or environment which make use of these tools should check and update for the new configuration:

  • In previous releases, a client PING command would open a new connection to the MySQL server, execute a SELECT 1 and then returns the OK (or failure) to the client. This could introduce additional load and also affect the metrics if statement execution counts and connections were being monitored.

    This has been updated so that the PING request is sent verbatim through through to server by the connector.

    Issues: CT-1

  • The Ruby Net::SSH module, which has been bundled with Continuent Tungsten in past releases, is no longer included. This is due to the wide range of Ruby versions and deployment environments that we support, and differences in the Net::SSH module supported and used with different Ruby versions. In order to simplify the process and ensure that the platforms we support operate correctly, the Net::SSH module has been removed and will now need to be installed before deployment.

    To ensure you have the correct environment before deployment, ensure both the Net::SSH and Net::SCP Ruby modules are installed using gem:

    shell> gem install net-ssh
    shell> gem install net-scp

    Depending on your environment, you may also need to install the io-console module:

    shell> gem install io-console

    If during installation you get an error similar to this:

    mkmf.rb can't find header files for ruby at /usr/lib/ruby/include/ruby.h

    It indicates that you do not have the Ruby development headers installed. Use your native package management interface (for example yum or apt and install the ruby-dev package. For example:

    shell> sudo apt install ruby-dev

    Issues: CT-88